From ad26f2137f6414c8cadc070f96a4476d435e994b Mon Sep 17 00:00:00 2001
From: Alan Coopersmith <alan.coopersmith@oracle.com>
Date: Fri, 2 Jan 2015 09:49:52 -0800
Subject: [PATCH 4/4] include POSIX-standard limits.h for PATH_MAX instead of
 sys/syslimits.h

Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
Reviewed-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Reviewed-by: Mark Kettenis <kettenis@openbsd.org>
---
 gethost.c  | 2 +-
 parsedpy.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/gethost.c b/gethost.c
index e0dc8cb..8cb58c5 100644
--- a/gethost.c
+++ b/gethost.c
@@ -58,7 +58,7 @@ in this Software without prior written authorization from The Open Group.
 #include "xauth.h"
 
 #include <sys/stat.h>
-#include <sys/syslimits.h>
+#include <limits.h>
 
 #ifndef WIN32
 #include <arpa/inet.h>
diff --git a/parsedpy.c b/parsedpy.c
index c638b26..97988d3 100644
--- a/parsedpy.c
+++ b/parsedpy.c
@@ -43,7 +43,7 @@ in this Software without prior written authorization from The Open Group.
 #include <X11/Xmu/SysUtil.h>
 
 #include <sys/stat.h>
-#include <sys/syslimits.h>
+#include <limits.h>
 
 #if defined(UNIXCONN) || defined(LOCALCONN)
 #define UNIX_CONNECTION "unix"
-- 
2.3.0

